GuidesAPI Reference
Log In
API Reference

Create Order (Task)

Send the details of a new order to Bringg from your Order Management System (OMS).

Body Params
boolean

Indicates whether to automatically group this order with other orders that have the same customer or grouping key.

boolean

When both the pickup and dropoff location for an order are destinations on a route (neither are located at the route origin), true creates two linked orders for individual optimization.

customer
object

An object containing detailed information about a new customer to create and associate with this order. NOTE: Use either the customer object attribute (create a new customer) or the customer_id attribute (an existing customer). For more information about customer object attributes, see Customer Object.

double

The cost per delivery charged by a third-party carrier.

double

The delivery fee that the customer pays at checkout.

double

The discount applied to this order at checkout.

string

Your external system's ID for the carrier assigned to this order.

string

The order's ID in your external systems.

string

Your external system's ID for the driver associated with this order.

json

This field can be used to send custom attributes to Bringg.

boolean

Indicates whether there is a loading/unloading zone at the destination.

double

The unpaid balance of this total order.

float

The unpaid balance for delivery of this order.

notes
array of objects

An array of notes associated with the order. Read more about the Order Notes Object.

notes
int32

The payment method for this order. The values are:
0: unknown
1: cash
2: credit
3: check
4: credit card terminal

string

The name of the payment type, used to specify which payment equipment is required for this order.

double

The net price of this order (not including taxes).

int32

Priority of the order within assigned route. For example, Priority 1 is the first stop in the route. Should be used when orders are sent to Bringg already assigned to a Route.

int32

The ID of a quote received as a response from the Get Quotes request and selected for use in your external systems, such as customer checkout.

int32

Defines the priority of a customer or order when using Route Optimization or AutoDispatch. null is the lowest rank, 1 is the highest rank. 0 in not accepted.

boolean

Indicates whether this task is in planning phase or has been dispatched to drivers.Possible values:
false or 0- the order appears in the Planning tab and is not visible to drivers
trueor1 - the order appears in the Dispatch tab and is visible to drivers.

required_skills
array of strings

An array of driver skills or vehicle capabilities required to carry out this order, such as "fridge installation".

required_skills
date

Date and time when the reservation of a delivery slot for an order expires. If the order is not confirmed by this time, the delivery slot reservation expires and the order is canceled.

run
object

The details of the route associated with this order. Include when creating routes outside of Bringg.

string

Your external system's ID for the route associated with this order. Include when creating routes outside of Bringg. Can be used instead of the "run" object when only needing to specify the planned route external ID.

double

The service fee charged by an external carrier. Usually calculated as a percentage of the order's subtotal.

string

Your external system's ID for the service plan applied to this order.

string

Indicates which Service Plan should be applied to the order. Service Plans are used to set SLA and relevant driver actions

double

A fee applied when the customer's order subtotal does not meet the "small cart" threshold.

int32

Bringg's ID for the relevant tag, which determines the branding and workflows to use for this order.

int32

Bringg's ID for the Driver Action to be associated with the order. ID can be found in the Dashboard > Settings > Driver App > Actions Configuration.

task_inventories
object

The Order Inventories object provides detailed information about inventory items associated with an order.

int32

Indicate whether an order is a Pickup (2), Return (3), Dropoff (4) or both Pickup and Dropoff (5).

double

The total tax amount charged for the order.

string

Your external system's ID for the assigned team. Omit to assign in Bringg.

double

The tip (gratuity) paid to the driver by the customer for this order.

string

Indicates whether the driver can be tipped for this order.

string

This order's title. The maximum length is 255 characters.

string

Use to ensure that the vehicle does not exceed capacity even if a customer adds last-minute items to their order.

double

The total price of this order.

int32

Use to ensure vehicle capacity even if consumer adds last minute items to their order. Bringg calculates according to the higher value : total_weight or the aggregated weight of all inventory items in the order.

int32

Bringg's ID for the driver associated with this order.

boolean

Indicates if an order should be scheduled by the customer or a dispatcher, such as when created as part of an unconfirmed quote.

way_points
array of objects
required

An array of one or two objects containing destination information. Read more about the Way Point Object.

way_points*
Responses

Language
Request
Response
Choose an example:
application/json